kafka-dev mailing list archives

Site index · List index
Message view « Date » · « Thread »
Top « Date » · « Thread »
From Jason Gustafson <ja...@confluent.io>
Subject CVE-2018-17196: Potential to bypass transaction/idempotent ACL checks in Apache Kafka
Date Wed, 10 Jul 2019 21:25:40 GMT
CVE-2018-17196: Potential to bypass transaction/idempotent ACL checks in
Apache Kafka

Severity: Moderate

Vendor: The Apache Software Foundation

Versions Affected: Apache Kafka 0.11.0.0 - 2.1.0

Description: It is possible to manually craft a Produce request which
bypasses transaction/idempotent ACL validation. Only authenticated clients
with Write permission on the respective topics are able to exploit this
vulnerability.

Mitigation: Apache Kafka users should upgrade to 2.1.1 or later where this
vulnerability has been fixed.

Acknowledgements: This issue was reported by Jason Gustafson


Regards,
Jason

Mime
  • Unnamed multipart/alternative (inline, None, 0 bytes)
View raw message